# Ignore specific elements

For privacy reasons, you can mask or skip specific elements from being recorded by adding a CSS class to the HTML element:

| CSS class          | Description                                                                                          |
| ------------------ | ---------------------------------------------------------------------------------------------------- |
| **ust-rec-block**  | Do not record this element ([full tracking system](/api/session-recording.md))                       |
| **ust-rec-ignore** | Do not record input events on this element ([both tracking systems](/api/session-recording.md))      |
| **ust-rec-mask**   | Replace all text input in this element with `*` ([both tracking systems](/api/session-recording.md)) |

{% hint style="info" %}
`input[type="password"]` will be masked by default for both tracking systems.
{% endhint %}

### Example

```html
<!-- Without masking -->
<input type="text" name="email" value="test@x.com" />
<!-- Email displayed in recording will be test@x.com -->

<!-- With masking -->
<input type="text" name="email" value="test@x.com" class="ust-rec-mask" />
<!-- Email displayed in recording will be ********** -->
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uxwizz.com/api/session-recording/ignore-specific-elements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
